Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::box< Element, Tag, box_compress > Class Template Reference
Utility

## Public Member Functions
template<typename E >
constexpr | explicit (!convertible_to< E, Element >) box(E &&e) noexcept(std::is_nothrow_constructible< Element, E >::value)
constexpr Element && | get () &&noexcept
constexpr Element & | get () &noexcept
constexpr Element const && | get () const &&noexcept
constexpr Element const & | get () const &noexcept

## Member Function Documentation

## ◆ explicit()

template<typename Element , typename Tag = void, detail::box_compress = detail::box_compression<Element>()>
template<typename E >

constexpr ranges::box< Element, Tag, box_compress >::explicit | ( | !convertible_to< E, Element > |  | ) | &&
| constexpr noexcept

Precondition
  requires `(!same_as<box, detail::decay_t<E>>) && constructible_from<Element, E>`